Bug 634888 - fedpkg local returns zero exit code even on failure
Summary: fedpkg local returns zero exit code even on failure
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-17 09:36 UTC by Michal Hlavinka
Modified: 2013-01-10 06:13 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-02-22 18:50:21 UTC


Attachments (Terms of Use)

Description Michal Hlavinka 2010-09-17 09:36:13 UTC
Description of problem:
when fedpkg local fails, zero exit code is returned, this breaks other scripts expecting non-zero return code for failure

Version-Release number of selected component (if applicable):
fedora-packager-0.5.1.4-1.fc13.noarch

How reproducible:
always

Steps to Reproduce:
1.have some package with missing buildrequires
2.fedpkg local

error: Failed build dependencies:
        gd-devel is needed by nut-2.4.3-6.fc14.x86_64
        netpbm-devel is needed by nut-2.4.3-6.fc14.x86_64
        powerman-devel is needed by nut-2.4.3-6.fc14.x86_64
Building target platforms: x86_64
Building for target x86_64

3.echo $?

  
Actual results:
0

Expected results:
1

Additional info:
rpmbuild returns 1:

rpmbuild -bp nut.spec 
error: Failed build dependencies:
        gd-devel is needed by nut-2.4.3-6.fc13.x86_64
        netpbm-devel is needed by nut-2.4.3-6.fc13.x86_64
        powerman-devel is needed by nut-2.4.3-6.fc13.x86_64
[mihl@nbone nut]$ echo $?
1

Comment 1 Jesse Keating 2010-09-19 09:59:43 UTC
Thanks for the report!  I believe I've found and fixed this upstream and it will be in the next build of fedpkg.

Comment 2 Fedora Update System 2011-01-06 18:50:23 UTC
fedora-packager-0.5.2.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.el5

Comment 3 Fedora Update System 2011-01-06 19:01:32 UTC
fedora-packager-0.5.2.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.fc13

Comment 4 Fedora Update System 2011-01-06 19:03:54 UTC
fedora-packager-0.5.2.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.fc14

Comment 5 Fedora Update System 2011-01-07 17:35:27 UTC
fedora-packager-0.5.2.0-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.el5

Comment 6 Fedora Update System 2011-01-19 21:04:18 UTC
fedora-packager-0.5.2.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-01-31 15:52:27 UTC
fedora-packager-0.5.2.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-01-31 19:55:08 UTC
fedora-packager-0.5.2.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Michal Hlavinka 2011-02-07 12:39:38 UTC
issue is still not fixed:

$ fedpkg local ; echo $?
error: Failed build dependencies:
        lua-devel is needed by nmap-2:5.50-1.fc15.x86_64
        libpcap-devel is needed by nmap-2:5.50-1.fc15.x86_64
        pygtk2-devel is needed by nmap-2:5.50-1.fc15.x86_64
Building target platforms: x86_64
Building for target x86_64
0

$ rpm -q fedpkg fedora-packager
fedpkg-0.5.2.0-2.fc14.noarch
fedora-packager-0.5.2.0-2.fc14.noarch

Comment 10 Jesse Keating 2011-02-08 21:41:03 UTC
Oops.  The fix was on a branch I forgot to merge with master.  I got it this time, next release, I promise :)

Comment 11 Fedora Update System 2011-02-10 21:41:04 UTC
fedora-packager-0.5.5.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.fc14

Comment 12 Fedora Update System 2011-02-10 22:03:35 UTC
fedora-packager-0.5.5.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.fc13

Comment 13 Fedora Update System 2011-02-10 22:22:44 UTC
fedora-packager-0.5.5.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.el5

Comment 14 Fedora Update System 2011-02-10 22:40:48 UTC
fedora-packager-0.5.5.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.el6

Comment 15 Fedora Update System 2011-02-10 22:44:33 UTC
fedora-packager-0.5.5.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.fc15

Comment 16 Fedora Update System 2011-02-10 23:12:46 UTC
fedora-packager-0.5.5.0-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.fc15

Comment 17 Fedora Update System 2011-02-12 21:34:07 UTC
fedora-packager-0.5.5.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.fc15

Comment 18 Fedora Update System 2011-02-21 22:46:53 UTC
fedora-packager-0.5.5.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.fc14

Comment 19 Fedora Update System 2011-02-21 22:47:22 UTC
fedora-packager-0.5.5.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.fc14

Comment 20 Fedora Update System 2011-02-21 22:49:27 UTC
fedora-packager-0.5.5.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.fc13

Comment 21 Fedora Update System 2011-02-21 22:53:44 UTC
fedora-packager-0.5.5.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.el6

Comment 22 Fedora Update System 2011-02-21 23:01:44 UTC
fedora-packager-0.5.5.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.el5

Comment 23 Fedora Update System 2011-02-22 18:49:51 UTC
fedora-packager-0.5.5.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2011-02-22 18:51:03 UTC
fedora-packager-0.5.5.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2011-02-23 21:52:06 UTC
fedora-packager-0.5.5.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2011-02-28 23:57:17 UTC
fedora-packager-0.5.5.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2011-03-03 03:24:20 UTC
fedora-packager-0.5.5.0-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.